#1171 Moving clone nodes breaks full-cloning behaviour

FreeMind_1.0.0
closed-fixed
None
5
2014-02-18
2013-10-22
Carl Brusse
No

Clone behaviour partially broken/inconsistent.
(Windows 7 x64, using freemind zip, newly released ver 1.0.0)

Clone behaviour can be set as daughter-nodes synchronised only, or clone node fully synchronised (ie including the properties/name of the node that was cloned). However you can break the 'fully synchronised' behaviour by moving the cloned node after the cloning.

to reproduce:
Create 3 parent nodes, add a daughter node to one of them (to be cloned). Copy, and clone paste onto the second parent node. Then manually move the clone to the third parent node. The moved node will now obey daughter-clone-sync behaviour rather than full-clone-sync behaviour.

screenshot of example, showing breaking-behaviour described above (compared against non-broken behaviour on other side of root):
https://www.dropbox.com/s/164hc67w80z5dgt/Screenshot%202013-10-23%2009.52.25.png

log for above example:

Oct 23, 2013 9:37:21 AM freemind.main.FreeMind <init>
INFO: freemind_version = 1.0.0; freemind_xml_version = 1.0.1
Build: 855

java_version = 1.7.0_25; os_name = Windows 7; os_version = 6.1
Oct 23, 2013 9:37:21 AM freemind.main.EditServer <init>
INFO: FreeMind server started on port 53776
Oct 23, 2013 9:37:21 AM freemind.main.EditServer <init>
INFO: Authorization key is 154870800
Oct 23, 2013 9:37:21 AM freemind.main.FreeMind updateLookAndFeel
INFO: Default (System) Look & Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Oct 23, 2013 9:37:21 AM freemind.main.Tools getFreeMindBasePath
INFO: Path: /C:/Users/u3342134/AppData/Roaming/Freemind/lib/freemind.jar
Oct 23, 2013 9:37:21 AM freemind.main.Tools getFreeMindBasePath
INFO: reducded Path: /C:/Users/u3342134/AppData/Roaming/Freemind/
Oct 23, 2013 9:37:21 AM freemind.modes.ModesCreator getAllModes
INFO: Modes:[freemind.modes.browsemode.BrowseMode, freemind.modes.filemode.FileMode, freemind.modes.mindmapmode.MindMapMode]
Oct 23, 2013 9:37:21 AM freemind.modes.ModesCreator getMode
INFO: Initializing mode MindMap
Oct 23, 2013 9:37:22 AM freemind.modes.mindmapmode.MindMapController init
INFO: createIconActions
Oct 23, 2013 9:37:22 AM freemind.modes.mindmapmode.MindMapController init
INFO: createNodeHookActions
Oct 23, 2013 9:37:22 AM freemind.main.FreeMindCommon getFreemindBaseDir
INFO: Basedir is: C:\Users\u3342134\AppData\Roaming\Freemind
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard buildClassList
INFO: Classpath for plugins:C:\Users\u3342134\AppData\Roaming\Freemind;lib/freemind.jar
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: accessories\mm2ooimpressStyles
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: accessories\mm2oowriterStyles
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: patterns
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: plugins\CollaborationSocket
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: plugins\ExportSvg
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: plugins\FreemindHelp
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: plugins\MapViewer
Oct 23, 2013 9:37:22 AM freemind.extensions.ImportWizard addClassesFromDir
INFO: Found: plugins\ScriptingEngine
Oct 23, 2013 9:37:22 AM freemind.modes.mindmapmode.MindMapController init
INFO: mindmap_menus
Oct 23, 2013 9:37:22 AM freemind.modes.mindmapmode.MindMapController init
INFO: MindMapPopupMenu
Oct 23, 2013 9:37:22 AM freemind.modes.mindmapmode.MindMapController init
INFO: MindMapToolBar
Oct 23, 2013 9:37:22 AM freemind.modes.ModesCreator getMode
INFO: Done: Initializing mode MindMap
Oct 23, 2013 9:37:23 AM freemind.controller.Controller obtainFocusForSelected
INFO: No view present. No focus!
Oct 23, 2013 9:37:23 AM freemind.controller.Controller numberOfOpenMapInformation
INFO: number 0, pIndex -1
Oct 23, 2013 9:37:23 AM freemind.modes.mindmapmode.MindMapController init
INFO: createIconActions
Oct 23, 2013 9:37:23 AM freemind.modes.mindmapmode.MindMapController init
INFO: createNodeHookActions
Oct 23, 2013 9:37:23 AM freemind.modes.mindmapmode.MindMapController init
INFO: mindmap_menus
Oct 23, 2013 9:37:23 AM freemind.modes.mindmapmode.MindMapController init
INFO: MindMapPopupMenu
Oct 23, 2013 9:37:23 AM freemind.modes.mindmapmode.MindMapController init
INFO: MindMapToolBar
Oct 23, 2013 9:37:23 AM freemind.modes.common.listeners.MindMapMouseWheelEventHandler <init>
INFO: Setting SCROLL_SKIPS to 80
Oct 23, 2013 9:37:23 AM freemind.extensions.HookDescriptorBase getClassLoader
INFO: file file:/C:/Users/u3342134/AppData/Roaming/Freemind/plugins/collaboration/socket/socket_plugin.jar exists = true
Oct 23, 2013 9:37:23 AM freemind.extensions.HookDescriptorBase getClassLoader
INFO: file file:/C:/Users/u3342134/AppData/Roaming/Freemind/plugins/map/JMapViewer.jar exists = true
Oct 23, 2013 9:37:23 AM freemind.extensions.HookDescriptorBase getClassLoader
INFO: file file:/C:/Users/u3342134/AppData/Roaming/Freemind/plugins/map/map_plugin.jar exists = true
Oct 23, 2013 9:37:23 AM freemind.extensions.HookDescriptorBase getClassLoader
INFO: file file:/C:/Users/u3342134/AppData/Roaming/Freemind/plugins/script/scripting_plugin.jar exists = true
Oct 23, 2013 9:37:23 AM freemind.extensions.HookDescriptorBase getClassLoader
INFO: file file:/C:/Users/u3342134/AppData/Roaming/Freemind/plugins/script/groovy-all-1.5.6.jar exists = true
Oct 23, 2013 9:37:23 AM plugins.map.Registration getCacheDirectory
INFO: Trying to use file cache tile loader with dir C:\Users\u3342134\Dropbox\Documents.freemind\osm
Oct 23, 2013 9:37:23 AM plugins.map.Registration createTileLoader
INFO: Setting cache max age to 7 days.
Oct 23, 2013 9:37:23 AM plugins.map.Registration getCacheDirectory
INFO: Trying to use file cache tile loader with dir C:\Users\u3342134\Dropbox\Documents.freemind\osm
Oct 23, 2013 9:37:24 AM freemind.controller.Controller numberOfOpenMapInformation
INFO: number 1, pIndex 0
Oct 23, 2013 9:37:59 AM accessories.plugins.ClonePasteAction invoke
INFO: Clones for nodes: test clone;
Oct 23, 2013 9:37:59 AM accessories.plugins.ClonePasteAction addNewClone
INFO: Original node test clone, id ID_769350404
Oct 23, 2013 9:40:29 AM accessories.plugins.ClonePasteAction invoke
INFO: Clones for nodes: test clone 2;
Oct 23, 2013 9:40:29 AM accessories.plugins.ClonePasteAction addNewClone
INFO: Original node test clone 2, id ID_390125493

Discussion

  • Carl Brusse

    Carl Brusse - 2013-10-22

    .mm file attached here

     
  • Christian Foltin

    • status: open --> closed-fixed
    • assigned_to: Christian Foltin
     
  • Christian Foltin

    Hi,

    fixed in 2e5c63b1699ecd4f40f93c307df2d778083d158a (branch 1.1.0).
    Thanks for the report!

    Br, Chris

     

Log in to post a comment.